<template>
  <div>
    <StepTab :tabList="tabList" @tabActive="handleTab">
      <template #plan_title>启动事件</template>
      <template #trigger_title>触发事件</template>
      <template #trigger_con>
        <div v-if="showIndex === 0">
          <AppStartUp :form="stepTwoList" />
        </div>
        <div v-if="showIndex === 1">
          <AppTodoList :form="stepTwoList2" />
        </div>
      </template>
    </StepTab>
    <div class="main_content_btn"></div>
  </div>
</template>
<script>
import StepTab from '@/components/base/StepTab.vue'
import AppTodoList from './AppTodoList.vue'
import AppStartUp from './AppStartUp.vue'
export default {
  components: { StepTab, AppTodoList, AppStartUp },
  props: {
    stepTwoList2: {
      type: Array
    },
    stepTwoList: {
      type: Array
    }
  },

  data() {
    return {
      caseId: '',
      showIndex: 0,
      // tab切换列表
      tabList: [
        {
          icon: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon11.png',
          iconActive: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon12.png',
          tabName: '单次触发'
        },
        {
          icon: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon21.png',
          iconActive: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon22.png',
          tabName: '条件触发'
        }
      ]
    }
  },

  methods: {
    handleTab(index) {
      this.showIndex = index
    },

    handleStepTwo() {
      if (this.showIndex === 0) {
        this.activeIndexName = '单次触发'
      } else {
        this.activeIndexName = '条件触发'
      }
      this.$emit('getShowIndex', this.showIndex)
      let flag = true
      console.log(this.showIndex, 'index')
      if (this.showIndex === 0) {
        this.stepTwoList[0].form.triggerList.forEach(item => {
          if (item.startValue === '') {
            flag = false
          }
        })
      } else if (this.showIndex === 1) {
        this.stepTwoList2[0].form.triggerList.forEach(item => {
          if (item.triggerValue === '') {
            flag = false
          }
        })
      }

      if (!flag) {
        this.$message.warning('请完善改步骤后才能进入下一步')
      }
      return flag
    }
  }
}
</script>
<style lang="scss" scoped>
.main_content_btn {
  display: flex;
  justify-content: center;
  margin-top: 36px;
  .step_btn {
    width: 119px;
    height: 32px;
    opacity: 1;
    border-radius: 16px;
    font-size: 18px;
    line-height: 32px;
    color: #ffffff;
    text-align: center;
    margin-right: 10px;
    cursor: pointer;
  }
  .step_prev {
    border: 1px solid #cacaca;
    background: #fff;
    color: #ffffff;
    color: #6d6d71;
  }
  .step_next {
    background: #49bba2;
  }
}
</style>
